Bug 21861 - g++: Internal error: Segmentation fault
Summary: g++: Internal error: Segmentation fault
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-07 00:03 UTC by bastiaan
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-07 00:03:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description bastiaan 2000-12-07 00:03:41 UTC
The following (invalid) code generates a segfault:

#include <vector>

int main() {
    vector<int&> v;
}

$ g++ refbug.cpp
....
/usr/include/g++-3/stl_vector.h:364: forming pointer to reference type 
`int &'
/usr/include/g++-3/stl_vector.h:364: Internal error: Segmentation fault
.

Comment 1 Jakub Jelinek 2000-12-20 12:17:31 UTC
Fixed in gcc-c++-2.96-69.


Note You need to log in before you can comment on or make changes to this bug.